Bug 1638906 - Update Foreman Hammer CLI VMware helpers
Summary: Update Foreman Hammer CLI VMware helpers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer
Version: 6.4
Hardware: x86_64
OS: Linux
unspecified
low vote
Target Milestone: Released
Assignee: Chris Roberts
QA Contact: Sanket Jagtap
URL: https://projects.theforeman.org/issue...
Whiteboard:
: 1610674 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-12 19:01 UTC by Chris Roberts
Modified: 2019-10-07 17:18 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:19 UTC
Github theforeman hammer-cli-foreman pull 393 None None None 2018-10-12 19:04:36 UTC
Foreman Issue Tracker 25192 None None None 2018-10-12 19:01:45 UTC

Description Chris Roberts 2018-10-12 19:01:45 UTC
Description of problem:

Right now there are a lot more params being exposed for a generic host create and also in VMware. We need to update our helpers so we don't have to guess all of the params we have to pass in.

Version-Release number of selected component (if applicable):

Satellite 6.3.x
Satellite 6.4


How reproducible:


Steps to Reproduce:
1. Install Satellite
2. Try to provision a host through hammer and compare the attributes passed when building a host through the webui

Actual results:
Having to guess the params needed when adding them under --compute-attributes

Expected results:
To have them show up in --help to see what to pass in and what values are accepted for that parameter.

Additional info:

Comment 2 Chris Roberts 2018-11-07 18:31:08 UTC
*** Bug 1610674 has been marked as a duplicate of this bug. ***

Comment 4 Sanket Jagtap 2018-12-20 14:45:52 UTC
Build: Satellite 6.5.0 snap8


Much needed fix, thanks for working on this, works as expected

[root@qe-sat6-feature-rhel7 ~]# hammer host create --name vmwarehost1 --hostgroup rhel7_hstgrp --compute-attributes="cpus=1,corespersocket=1,memory_mb=4028,firmware=bios,cluster=Satellite_Engineering,resource_pool=Resources,path=/Datacenters/RH_Engineering/vm/QE,guest_id=rhel7_64Guest,scsi_controller_type=VirtualLsiLogic,add_cdrom=1,cpuHotAddEnabled=1,memoryHotAddEnabled=1,start=1,hardware_version=Default" --interface "compute_network=network-152,compute_type=VirtualVmxnet3" --volume "name=Hard disk,size_gb=10,thin=true,eager_zero=false,datastore=Local-Ironforge" --location "Default Location" --organization-id 1 --compute-resource-id 2 --root-password dog8code
Host created.

hammer host info --id 10
Id:                       10
UUID:                     501e9a55-4c3f-5107-9476-a4d35d06c771
Name:                     vmwarehost1.<snip>
Organization:             Default Organization
Location:                 Default Location
Host Group:               rhel7_hstgrp
Compute Resource:         vmware
Compute Profile:          2-Medium
Puppet Environment:       production
Puppet CA Proxy:          qe-sat6-feature-rhel7.<snip>
Puppet Master Proxy:      qe-sat6-feature-rhel7.<snip>
Cert name:                vmwarehost1.<snip>
Managed:                  yes
Installed at:             
Last report:              
Status:                   
    Global Status: Warning
    Build Status:  Pending installation
Network:                  
    IPv4 address: 10.8.111.78
    MAC:          00:50:56:9e:44:fc
    Subnet ipv4:  Default Subnet
    Domain:       <snip>
Network interfaces:       
 1) Id:           10
    Identifier:   
    Type:         interface (primary, provision)
    MAC address:  00:50:56:9e:44:fc
    IPv4 address: --.--.111.78
    FQDN:         vmwarehost1.<snip>
Operating system:         
    Architecture:           x86_64
    Operating System:       RHEL Server 7.6
    Build:                  yes
    Partition Table:        Kickstart default
    PXE Loader:             PXELinux BIOS
    Custom partition table:
Parameters:               

All parameters:           
    kt_activation_keys => rhel7_ak
    enable-puppet5 => true
    enable-epel => false
Additional info:          
    Owner:      Admin User

Comment 7 errata-xmlrpc 2019-05-14 12:38:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.